--- old/usr/src/Makefile	2013-08-15 11:59:20.486438207 -0400
+++ new/usr/src/Makefile	2013-08-15 11:59:20.491141715 -0400
@@ -132,8 +132,8 @@
 	@CLOSED_ROOT="$$ON_CLOSED_BINS/root_$(MACH)$${RELEASE_BUILD+-nd}"; \
 	if [ "$$CLOSED_IS_PRESENT" = no ]; then \
 		if [ ! -d "$$CLOSED_ROOT" ]; then \
-			$(ECHO) "Error: if closed sources are not present," \
-			    "ON_CLOSED_BINS must point to closed binaries."; \
+			$(ECHO) "Error: ON_CLOSED_BINS must point to closed" \
+			    "binaries."; \
 			$(ECHO) "root_$(MACH)$${RELEASE_BUILD+-nd} is not" \
 			    "present in $$ON_CLOSED_BINS."; \
 			exit 1; \
@@ -208,10 +208,8 @@
 # Cross-reference customization: skip all of the subdirectories that
 # don't contain actual source code.
 #
-$(CLOSED_BUILD)XRDIRS += ../closed
 XRPRUNE = pkg prototypes
 XRINCDIRS = uts/common head ucbhead
-$(CLOSED_BUILD)XRINCDIRS = uts/common ../closed/uts/common head ucbhead
 
 cscope.out tags: FRC
 	$(XREF) -f -x $@
--- old/usr/src/Makefile.master	2013-08-15 11:59:20.634704903 -0400
+++ new/usr/src/Makefile.master	2013-08-15 11:59:20.639332100 -0400
@@ -37,11 +37,6 @@
 # identification strings. Enabling RELEASE_BUILD automatically enables
 # INTERNAL_RELEASE_BUILD.
 #
-# CLOSED_BUILD controls whether we try to build files under
-# usr/closed.  ("" means to build closed code, "#" means don't try to
-# build it.)  Skipping the closed code implies doing an export release
-# build.
-#
 # STRIP_COMMENTS toggles comment section striping. Generally the same setting
 # as INTERNAL_RELEASE_BUILD.
 #
@@ -70,10 +65,6 @@
 $(RELEASE_BUILD)INTERNAL_RELEASE_BUILD=
 PATCH_BUILD=				$(POUND_SIGN)
 
-# If CLOSED_IS_PRESENT is not set, assume the closed tree is present.
-CLOSED_BUILD_1=	$(CLOSED_IS_PRESENT:yes=)
-CLOSED_BUILD=	$(CLOSED_BUILD_1:no=$(POUND_SIGN))
-
 # SPARC_BLD is '#' for an Intel build.
 # INTEL_BLD is '#' for a Sparc build.
 SPARC_BLD_1=    $(MACH:i386=$(POUND_SIGN))
--- old/usr/src/cmd/Makefile	2013-08-15 11:59:20.808641516 -0400
+++ new/usr/src/cmd/Makefile	2013-08-15 11:59:20.813244121 -0400
@@ -469,19 +469,6 @@
 	zstreamdump	\
 	ztest
 
-$(CLOSED_BUILD)COMMON_SUBDIRS += \
-	$(CLOSED)/cmd/iconv	\
-	$(CLOSED)/cmd/ksh	\
-	$(CLOSED)/cmd/localedef	\
-	$(CLOSED)/cmd/more_xpg4	\
-	$(CLOSED)/cmd/mtst	\
-	$(CLOSED)/cmd/od	\
-	$(CLOSED)/cmd/patch	\
-	$(CLOSED)/cmd/pax	\
-	$(CLOSED)/cmd/printf	\
-	$(CLOSED)/cmd/sed	\
-	$(CLOSED)/cmd/sed_xpg4
-
 i386_SUBDIRS=		\
 	acpihpd		\
 	addbadsec	\
@@ -751,18 +738,6 @@
 	zpool		\
 	zonestat
 
-$(CLOSED_BUILD)MSGSUBDIRS += \
-	$(CLOSED)/cmd/iconv	\
-	$(CLOSED)/cmd/ksh	\
-	$(CLOSED)/cmd/localedef	\
-	$(CLOSED)/cmd/more_xpg4	\
-	$(CLOSED)/cmd/od	\
-	$(CLOSED)/cmd/patch	\
-	$(CLOSED)/cmd/pax	\
-	$(CLOSED)/cmd/printf	\
-	$(CLOSED)/cmd/sed	\
-	$(CLOSED)/cmd/sed_xpg4
-
 sparc_MSGSUBDIRS=	\
 	fruadm		\
 	prtdscp		\
@@ -789,9 +764,6 @@
 	whodo		\
 	write
 
-$(CLOSED_BUILD)DCSUBDIRS += \
-	$(CLOSED)/cmd/pax
-
 #
 # commands that belong only to audit.
 #
--- old/usr/src/cmd/cmd-crypto/Makefile	2013-08-15 11:59:20.967918415 -0400
+++ new/usr/src/cmd/cmd-crypto/Makefile	2013-08-15 11:59:20.972601744 -0400
@@ -32,16 +32,10 @@
 	pktool \
 	tpmadm
 
-$(CLOSED_BUILD)SUBDIRS1 += \
-	$(CLOSED)/cmd/cmd-crypto/kcfd
-
 SUBDIRS2 = \
 	etc \
 	scripts
 
-$(CLOSED_BUILD)SUBDIRS2 += \
-	$(CLOSED)/cmd/cmd-crypto/etc
-
 all:=           TARGET= all
 install:=       TARGET= install
 clean:=         TARGET= clean
--- old/usr/src/cmd/cmd-inet/usr.lib/Makefile	2013-08-15 11:59:21.104801841 -0400
+++ new/usr/src/cmd/cmd-inet/usr.lib/Makefile	2013-08-15 11:59:21.109360401 -0400
@@ -33,10 +33,6 @@
 include ../../Makefile.cmd
 include ./Makefile.lib
 
-$(CLOSED_BUILD)SUBDIRS += \
-	$(CLOSED)/cmd/cmd-inet/usr.lib/ike-certutils \
-	$(CLOSED)/cmd/cmd-inet/usr.lib/in.iked
-
 POFILES=	dsvclockd/dsvclockd.po in.dhcpd/in.dhcpd.po \
 		inetd/inetd.po ncaconfd/ncaconfd.po vrrpd/vrrpd.po \
 		wanboot/wanboot.po
--- old/usr/src/cmd/fs.d/nfs/Makefile	2013-08-15 11:59:21.241585415 -0400
+++ new/usr/src/cmd/fs.d/nfs/Makefile	2013-08-15 11:59:21.246233944 -0400
@@ -46,11 +46,6 @@
 POFILES=        $(SUBDIR2:%=%/%.po)
 POFILE=         nfs.po
 
-LOCKD=		$(CLOSED)/cmd/fs.d/nfs/lockd
-$(CLOSED_BUILD)CLOSED_SUBDIR2=	$(LOCKD)
-$(CLOSED_BUILD)POFILES +=	$(LOCKD)/lockd.po
-$(CLOSED_BUILD)SUBDIRS +=	$(CLOSED_SUBDIR2)
-
 all:=		TARGET= all
 install:=	TARGET= install
 clean:=		TARGET= clean
@@ -64,7 +59,7 @@
 
 all install clean clobber lint: $(SUBDIRS)
 
-catalog: $(SUBDIR2) $(CLOSED_SUBDIR2)
+catalog: $(SUBDIR2)
 	$(RM) $(POFILE)
 	cat $(POFILES) > $(POFILE)
 
--- old/usr/src/cmd/fwflash/plugins/Makefile	2013-08-15 11:59:21.380232744 -0400
+++ new/usr/src/cmd/fwflash/plugins/Makefile	2013-08-15 11:59:21.384877594 -0400
@@ -27,7 +27,6 @@
 include $(SRC)/Makefile.master
 
 COMMON_SUBDIRS=	$(MACH)
-$(CLOSED_BUILD)COMMON_SUBDIRS += $(CLOSED)/cmd/fwflash/plugins 
 
 SUBDIRS=	$(COMMON_SUBDIRS)
 
--- old/usr/src/cmd/mdb/intel/amd64/Makefile	2013-08-15 11:59:21.516902174 -0400
+++ new/usr/src/cmd/mdb/intel/amd64/Makefile	2013-08-15 11:59:21.521473910 -0400
@@ -27,9 +27,6 @@
 
 MODULES = $(COMMON_MODULES_PROC) $(COMMON_MODULES_KVM) uhci
 
-$(CLOSED_BUILD)MODULES += \
-	$(CLOSED_COMMON_MODULES_KVM:%=$(CLOSED)/cmd/mdb/intel/amd64/%)
-
 SUBDIRS = mdb mdb_ks kmdb libstandctf libstand .WAIT $(MODULES)
 
 include ../../Makefile.subdirs
--- old/usr/src/cmd/mdb/intel/ia32/Makefile	2013-08-15 11:59:21.654058837 -0400
+++ new/usr/src/cmd/mdb/intel/ia32/Makefile	2013-08-15 11:59:21.658654175 -0400
@@ -28,9 +28,6 @@
 MODULES = $(COMMON_MODULES_PROC) $(COMMON_MODULES_PROC_32BIT) \
     $(COMMON_MODULES_KVM) uhci
 
-$(CLOSED_BUILD)MODULES += \
-	$(CLOSED_COMMON_MODULES_KVM:%=$(CLOSED)/cmd/mdb/intel/ia32/%)
-
 SUBDIRS = mdb mdb_ks kmdb libstandctf libstand .WAIT $(MODULES)
 
 include ../../Makefile.subdirs
--- old/usr/src/cmd/mdb/sparc/v9/Makefile	2013-08-15 11:59:21.789342561 -0400
+++ new/usr/src/cmd/mdb/sparc/v9/Makefile	2013-08-15 11:59:21.793997548 -0400
@@ -22,7 +22,6 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 
 include ../../Makefile.common
 
@@ -32,11 +31,6 @@
 	intr \
 	ssd
 
-$(CLOSED_BUILD)MODULES += \
-	$(CLOSED_COMMON_MODULES_KVM:%=$(CLOSED)/cmd/mdb/sparc/v9/%)
-$(CLOSED_BUILD)MODULES += \
-	$(CLOSED)/cmd/mdb/sparc/v9/isp
-
 #
 # a "$(MODULES): kmdb" rule would seem to do the trick but, for some reason,
 # it serializes $(MODULES).
--- old/usr/src/cmd/tsol/Makefile	2013-08-15 11:59:21.925408053 -0400
+++ new/usr/src/cmd/tsol/Makefile	2013-08-15 11:59:21.930010324 -0400
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/tsol/Makefile
 #
 
@@ -58,12 +56,6 @@
 	tnd		\
 	getzonepath
 
-$(CLOSED_BUILD)SUBDIRS += $(CLOSED)/cmd/tsol/chk_encodings \
-	$(CLOSED)/cmd/tsol/labeld
-
-$(CLOSED_BUILD)CLOSED_MSGSUBDIRS = $(CLOSED)/cmd/tsol/chk_encodings \
-	$(CLOSED)/cmd/tsol/labeld
-
 #
 # for messaging catalog
 #
--- old/usr/src/lib/Makefile	2013-08-15 11:59:22.063527766 -0400
+++ new/usr/src/lib/Makefile	2013-08-15 11:59:22.068430358 -0400
@@ -44,13 +44,6 @@
 #
 .PARALLEL:
 
-#
-# The $(CLOSED_BUILD) additions to SUBDIRS & MSGSUBDIRS are unfortunate,
-# but required due to the "dependencies" of using .WAIT to barrier the
-# parallel dmake builds.  once 4631488 has been fixed, they can be
-# consolidated into one $(CLOSED_BUILD)SUBDIRS += (all closed libs) as
-# shown in HDRSUBDIRS
-#
 SUBDIRS= \
 	common			.WAIT	\
 	../cmd/sgs/libconv		\
@@ -182,10 +175,7 @@
 	libdhcpdu	\
 	libdhcputil	\
 	libxnet		\
-	libipsecutil
-$(CLOSED_BUILD)SUBDIRS += \
-	$(CLOSED)/lib/libike
-SUBDIRS += \
+	libipsecutil	\
 	nsswitch	\
 	print		\
 	libuutil	\
@@ -510,9 +500,6 @@
 	libreparse	\
 	$($(MACH)_HDRSUBDIRS)
 
-$(CLOSED_BUILD)HDRSUBDIRS += \
-	$(CLOSED)/lib/libike
-
 i386_HDRSUBDIRS=	\
 	libparted	\
 	libfdisk	\
@@ -605,7 +592,6 @@
 libmapid:	libresolv
 librdc:		libsocket libnsl libnsctl libunistat libdscfg
 libuuid:	libdlpi
-$(CLOSED_BUILD)libike:	libipsecutil libxnet libcryptoutil
 libinetutil:	libsocket
 libipsecutil:	libtecla libsocket
 libinstzones:	libzonecfg libcontract
--- old/usr/src/lib/raidcfg_plugins/Makefile	2013-08-15 11:59:22.218721539 -0400
+++ new/usr/src/lib/raidcfg_plugins/Makefile	2013-08-15 11:59:22.223301943 -0400
@@ -22,17 +22,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # lib/raidcfg_plugins/Makefile
 #
 
 include $(SRC)/Makefile.master
 
-CLOSED_PLUGIN = $(CLOSED)/lib/raidcfg_plugins/
-
-$(CLOSED_BUILD)COMMON_SUBDIRS += $(CLOSED_PLUGIN)/mpt
-
 SUBDIRS= $(COMMON_SUBDIRS) $($(MACH)_SUBDIRS)
 
 all:= 		TARGET= all
--- old/usr/src/pkg/Makefile.lic	2013-08-15 11:59:22.355262875 -0400
+++ new/usr/src/pkg/Makefile.lic	2013-08-15 11:59:22.360042497 -0400
@@ -41,23 +41,10 @@
 	$(PKGDEBUG)$(INS.file)
 
 #
-# For license files in the closed source tree, the desired action
-# depends on the type of build.
+# A build without closed source relies on closed-bins extraction to stage
+# the license file and does nothing here.
 #
-# 1. For a normal build, with closed source present, simply copy the
-#    file into the license staging directory.
-#
-# 2. For a Tonic build, copy the file into both open and closed
-#    license staging directories.
-#
-# 3. For a build without closed source, rely on closed-bins extraction
-#    to stage the license file, and do nothing here.
-#
-$(TONICBUILD)INS= install -O
-$(LICROOT)/usr/closed/%: $(CLOSED_BUILD) $(CODEMGR_WS)/usr/closed/%
-	$(CLOSED_BUILD)$(PKGDEBUG) \
+$(LICROOT)/usr/closed/%:
 	if [ ! -d $(@D) ]; then \
 		mkdir -p $(@D); \
 	fi; \
-	$(TONICBUILD) $(RM) $(@:$(ROOT)/%=$(CLOSEDROOT)/%)
-	$(CLOSED_BUILD)$(PKGDEBUG)$(INS.file)
--- old/usr/src/psm/stand/boot/Makefile	2013-08-15 11:59:22.491191169 -0400
+++ new/usr/src/psm/stand/boot/Makefile	2013-08-15 11:59:22.495866351 -0400
@@ -64,8 +64,6 @@
 XRINCCOMP = B!sun4u O!sfmmu O!sparc/v7 O!sparc/v9 B!sparc B!sun B!common
 XRINC_TMP = $(XRINCCOMP:B!%=$(UTSDIR)/%)
 XRINCDIRS = $(XRINC_TMP:O!%=$(UTSDIR)/%)
-$(CLOSED_BUILD)XRINC_TMP = $(XRINCCOMP:B!%=$(UTSDIR)/% $(UTSCLOSED)/%)
-$(CLOSED_BUILD)XRINCDIRS = $(XRINC_TMP:O!%=$(UTSDIR)/%)
 
 cscope.out tags: FRC
 	$(XREF) -x $@
--- old/usr/src/tools/findunref/Makefile	2013-08-15 11:59:22.629201744 -0400
+++ new/usr/src/tools/findunref/Makefile	2013-08-15 11:59:22.633829127 -0400
@@ -37,7 +37,6 @@
 $(ROOTONBLDMAN1FILES) := FILEMODE=      644
 
 EXCEPTION_SRC= common open
-$(CLOSED_BUILD)EXCEPTION_SRC += closed
 EXCEPTION_LISTS=	$(EXCEPTION_SRC:%=exception_list.%)
 
 CLOBBERFILES += exception_list
--- old/usr/src/tools/scripts/nightly.sh	2013-08-15 11:59:22.766168056 -0400
+++ new/usr/src/tools/scripts/nightly.sh	2013-08-15 11:59:22.771055286 -0400
@@ -893,29 +893,14 @@
 
 #
 # Verify that the closed tree is present if it needs to be.
-# Sets CLOSED_IS_PRESENT for future use.
 #
 function check_closed_tree {
-	if [ -z "$CLOSED_IS_PRESENT" ]; then
-		if [ -d $CODEMGR_WS/usr/closed ]; then
-			CLOSED_IS_PRESENT="yes"
-		else
-			CLOSED_IS_PRESENT="no"
-		fi
-		export CLOSED_IS_PRESENT
-	fi
-	if [[ "$CLOSED_IS_PRESENT" = no && ! -d "$ON_CLOSED_BINS" ]]; then
-		#
-		# If it's an old (pre-split) tree or an empty
-		# workspace, don't complain.
-		#
-		if grep -s CLOSED_BUILD $SRC/Makefile.master > /dev/null; then
-			echo "If the closed sources are not present," \
-			    "ON_CLOSED_BINS"
-			echo "must point to the closed binaries tree."
-			build_ok=n
-			exit 1
-		fi
+	if [[ ! -d "$ON_CLOSED_BINS" ]]; then
+		echo "If the closed sources are not present," \
+		    "ON_CLOSED_BINS"
+		echo "must point to the closed binaries tree."
+		build_ok=n
+		exit 1
 	fi
 }
 
--- old/usr/src/uts/Makefile	2013-08-15 11:59:23.012578783 -0400
+++ new/usr/src/uts/Makefile	2013-08-15 11:59:23.017315795 -0400
@@ -155,10 +155,6 @@
 		common/vm
 
 
-# These aren't the only headers in closed.  But the other directories
-# are simple enough that they can be driven from the src tree.
-$(CLOSED_BUILD)COMMON_HDRDIRS += $(CLOSED)/uts/common/sys
-
 #
 # Subset of COMMON_HDRDIRS in which at least one header is generated
 # at runtime (e.g., rpcgen).  (This is a partial list; there are
@@ -205,16 +201,8 @@
 # the user will be interested in), it's historically been set to
 # mirror the $(XRDIRS) list, and that works kinda sorta okay.
 #
-# We need to manually prune usr/closed/uts/{i86xpv|sfmmu|i86pc} since
-# none of them exist.
-#
-SHARED_XRDIRS = $(sparc_ARCHITECTURES) $(i386_ARCHITECTURES) sun4 sfmmu	\
+XRDIRS = $(sparc_ARCHITECTURES) $(i386_ARCHITECTURES) sun4 sfmmu	\
 	sun common
-CLOSED_XRDIRS = $(SHARED_XRDIRS:%=% ../../closed/uts/%)
-XRDIRS = $(SHARED_XRDIRS)
-CLOSED_XRDIRS_XEN = $(CLOSED_XRDIRS:../../closed/uts/i86xpv=)
-CLOSED_XRDIRS_1 = $(CLOSED_XRDIRS_XEN:../../closed/uts/i86pc=)
-$(CLOSED_BUILD)XRDIRS = $(CLOSED_XRDIRS_1:../../closed/uts/sfmmu=)
 
 XRINCDIRS = $(XRDIRS)
 
--- old/usr/src/uts/Makefile.uts	2013-08-15 11:59:23.154465926 -0400
+++ new/usr/src/uts/Makefile.uts	2013-08-15 11:59:23.159235181 -0400
@@ -587,11 +587,6 @@
 #	while the replacement of the SUNW,SPARCstation-10,SX directory by
 #	a symbolic link is being propagated.
 #
-# IMPORTANT:: if you change any of these INS.mumble rules, then you MUST also
-# change the corresponding override definitions in $CLOSED/Makefile.tonic.
-# If you do not do this, then the closedbins build for the OpenSolaris
-# community will break. PS, the gatekeepers will be upset too.
-#
 INS.slink1= $(RM) -r $@; $(SYMLINK) $(PLATFORM) $@
 INS.slink2= $(RM) -r $@; $(SYMLINK) ../$(PLATFORM)/$(@F) $@
 INS.slink3= $(RM) -r $@; $(SYMLINK) $(IMPLEMENTED_PLATFORM) $@
@@ -630,10 +625,6 @@
 
 $(PARALLEL_KMODS): $(GENUNIX_KMODS)
 
-$(CLOSED_BUILD)CLOSED_KMODS = $(CLOSED_DRV_KMODS) $(CLOSED_TOD_KMODS) \
-	$(CLOSED_MISC_KMODS) $(CLOSED_CPU_KMODS) \
-	$(CLOSED_NLMISC_KMODS) $(CLOSED_DRV_KMODS_$(CLASS))
-
 LINT_KMODS = $(DRV_KMODS) $(EXEC_KMODS) $(FS_KMODS) $(SCHED_KMODS) \
 	  $(TOD_KMODS) $(STRMOD_KMODS) $(SYS_KMODS) $(MISC_KMODS) \
 	  $(MACH_KMODS) $(GSS_KMODS) $(DACF_KMODS) $(IPP_KMODS) \
@@ -641,9 +632,6 @@
 	  $(DRV_KMODS_$(CLASS)) $(MISC_KMODS_$(CLASS)) $(MAC_KMODS) \
 	  $(BRAND_KMODS) $(KICONV_KMODS) $(SOCKET_KMODS)
 
-$(CLOSED_BUILD)CLOSED_LINT_KMODS = $(CLOSED_DRV_KMODS) $(CLOSED_TOD_KMODS) \
-	  $(CLOSED_MISC_KMODS) $(CLOSED_DRV_KMODS_$(CLASS))
-
 THIS_YEAR:sh=	/bin/date +%Y
 $(OBJS_DIR)/logsubr.o	:= CPPFLAGS += -DTHIS_YEAR=$(THIS_YEAR)
 $(OBJS_DIR)/logsubr.ln	:= CPPFLAGS += -DTHIS_YEAR=$(THIS_YEAR)
--- old/usr/src/uts/common/nfs/Makefile	2013-08-15 11:59:23.314230024 -0400
+++ new/usr/src/uts/common/nfs/Makefile	2013-08-15 11:59:23.319292866 -0400
@@ -35,23 +35,15 @@
 	nfs4_kprot.h	nfs4_db_impl.h	nfs4_idmap_impl.h \
 	nfsid_map.h	auth.h		nfs_cmd.h
 
-$(CLOSED_BUILD)CLOSEDHDRS=	lm_impl.h	lm_nlm.h	lm_server.h
-
-ALLHDRS= $(HDRS) $(CLOSEDHDRS)
-
 ROOTDIRS= $(ROOT)/usr/include/nfs
 
-ROOTHDRS= $(ALLHDRS:%=$(ROOTDIRS)/%)
+ROOTHDRS= $(HDRS:%=$(ROOTDIRS)/%)
 
-CHECKHDRS= $(HDRS:%.h=%.check) \
-	$(CLOSEDHDRS:%.h=$(CLOSED)/uts/common/nfs/%.check)
+CHECKHDRS= $(HDRS:%.h=%.check)
 
 $(ROOTDIRS)/%: %
 	$(INS.file)
 
-$(ROOTDIRS)/%: $(CLOSED)/uts/common/nfs/%
-	$(INS.file)
-
 .KEEP_STATE:
 
 .PARALLEL: $(CHECKHDRS)
--- old/usr/src/uts/i86pc/Makefile	2013-08-15 11:59:23.453345803 -0400
+++ new/usr/src/uts/i86pc/Makefile	2013-08-15 11:59:23.458001472 -0400
@@ -43,7 +43,6 @@
 LINT_LIBS	 = $(LINT_LIB) \
 		   $(GENUNIX_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
 		   $(PARALLEL_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
-		   $(CLOSED_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
 		   $(INTEL_LINTS:%=$(INTEL_LIB_DIR)/llib-l%.ln)
 
 #
@@ -65,8 +64,7 @@
 
 .KEEP_STATE:
 
-.PARALLEL:	$(PARALLEL_KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS) \
-		modlist modlist.intel
+.PARALLEL:	$(PARALLEL_KMODS) $(XMODS) modlist modlist.intel
 
 INITIAL_TARGETS = \
 	genassym \
@@ -74,14 +72,13 @@
 	cpu/scripts
 
 def all clean clobber clean.lint: setup genassym unix .WAIT \
-	$(KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS) $(IMPLEMENTATIONS)
+	$(KMODS) $(XMODS) $(IMPLEMENTATIONS)
 
 install: install_platforms setup genassym unix .WAIT \
-	$(KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS) $(IMPLEMENTATIONS)
+	$(KMODS) $(XMODS) $(IMPLEMENTATIONS)
 
 # list the modules under i86pc.
-modlist: unix $(KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS) \
-	$(IMPLEMENTATIONS)
+modlist: unix $(KMODS) $(XMODS) $(IMPLEMENTATIONS)
 
 # list the modules for Install -k i86pc.
 modlist.karch: modlist modlist.intel
@@ -91,7 +88,7 @@
 
 lintlib:	unix
 
-modlintlib:	$(KMODS) $(CLOSED_KMODS)
+modlintlib:	$(KMODS)
 
 genassym unix $(KMODS):	FRC
 	@cd $@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
@@ -109,17 +106,6 @@
 		true; \
 	fi
 
-$(CLOSED_KMODS):	FRC
-	cd $(CLOSED)/uts/i86pc/$@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
-
-$(CLOSED_XMODS):	FRC
-	@if [ -f $(CLOSED)/uts/i86pc/$@/Makefile  ]; then \
-		cd $(CLOSED)/uts/i86pc/$@; pwd; \
-		    $(MAKE) $(NO_STATE) $(TARGET); \
-	else \
-		true; \
-	fi
-
 install_h check:	$(IMPLEMENTATIONS) FRC
 	@cd sys; pwd; $(MAKE) $(TARGET)
 
@@ -163,8 +149,7 @@
 # Cross-reference customization: build a cross-reference over all of the
 # i86pc-related directories.
 #
-XRDIRS		= ../i86pc ../intel ../common
-$(CLOSED_BUILD)XRDIRS	+= ../../../closed/uts/intel ../../../closed/uts/common
+XRDIRS	= ../i86pc ../intel ../common
 
 XRPRUNE	= sun4u sun4
 
--- old/usr/src/uts/i86pc/Makefile.i86pc.shared	2013-08-15 11:59:23.594844062 -0400
+++ new/usr/src/uts/i86pc/Makefile.i86pc.shared	2013-08-15 11:59:23.599512447 -0400
@@ -281,12 +281,6 @@
 CPU_KMODS	+= genuineintel
 
 #
-# Don't build some of these for OpenSolaris, since they will be
-# replaced by binaries that are signed by Sun Release Engineering.
-#
-$(CLOSED_BUILD)CLOSED_CPU_KMODS	+= intel_nhmex
-
-#
 #	Exec Class Modules (/kernel/exec):
 #
 EXEC_KMODS	+=
--- old/usr/src/uts/i86xpv/Makefile	2013-08-15 11:59:23.739666410 -0400
+++ new/usr/src/uts/i86xpv/Makefile	2013-08-15 11:59:23.744328017 -0400
@@ -45,7 +45,6 @@
 LINT_LIBS	 = $(LINT_LIB) \
 		   $(GENUNIX_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
 		   $(PARALLEL_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
-		   $(CLOSED_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
 		   $(INTEL_LINTS:%=$(INTEL_LIB_DIR)/llib-l%.ln)
 
 #
@@ -66,8 +65,7 @@
 
 .KEEP_STATE:
 
-.PARALLEL:	$(PARALLEL_KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS) \
-		modlist modlist.intel
+.PARALLEL:	$(PARALLEL_KMODS) $(XMODS) modlist modlist.intel
 
 INITIAL_TARGETS = \
 	genassym \
@@ -75,13 +73,13 @@
 	cpu/scripts
 
 def all clean clobber clean.lint: setup genassym unix .WAIT \
-	$(KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS)
+	$(KMODS) $(XMODS)
 
 install: install_platforms setup genassym unix .WAIT \
-	$(KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS)
+	$(KMODS) $(XMODS)
 
 # list the modules under i86xpv.
-modlist: unix $(KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS)
+modlist: unix $(KMODS) $(XMODS)
 
 # list the modules for Install -k i86xpv.
 modlist.karch: modlist modlist.intel
@@ -91,7 +89,7 @@
 
 lintlib:	unix
 
-modlintlib:	$(KMODS) $(CLOSED_KMODS)
+modlintlib:	$(KMODS)
 
 genassym unix $(KMODS):	FRC
 	@cd $@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
@@ -106,17 +104,6 @@
 		true; \
 	fi
 
-$(CLOSED_KMODS):	FRC
-	cd $(CLOSED)/uts/i86xpv/$@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
-
-$(CLOSED_XMODS):	FRC
-	@if [ -f $(CLOSED)/uts/i86xpv/$@/Makefile  ]; then \
-		cd $(CLOSED)/uts/i86xpv/$@; pwd; \
-		    $(MAKE) $(NO_STATE) $(TARGET); \
-	else \
-		true; \
-	fi
-
 install_h check:	FRC
 	@cd sys; pwd; $(MAKE) $(TARGET)
 
@@ -161,11 +148,7 @@
 # Cross-reference customization: build a cross-reference over all of the
 # i86pc-related directories.
 #
-SHARED_XRDIRS	= ../i86xpv ../i86pc ../intel ../common
-XRDIRS		= $(SHARED_XRDIRS)
-CLOSED_XRDIRS1	= $(SHARED_XRDIRS:../%=../% ../../../closed/uts/%)
-CLOSED_XRDIRS2	= $(CLOSED_XRDIRS1:../../../closed/uts/i86pc=)
-$(CLOSED_BUILD)XRDIRS	= $(CLOSED_XRDIRS2:../../../closed/uts/i86xpv=)
+XRDIRS	= ../i86xpv ../i86pc ../intel ../common
 XRPRUNE	= sun4v sun4u sun4 sfmmu sparc
 
 cscope.out tags: FRC
--- old/usr/src/uts/intel/Makefile	2013-08-15 11:59:23.881171340 -0400
+++ new/usr/src/uts/intel/Makefile	2013-08-15 11:59:23.885873283 -0400
@@ -33,15 +33,7 @@
 LINT_KMODS_X2	= $(LINT_KMODS_X1:smbfs=)
 LINT_KMODLIBS	= $(LINT_KMODS_X2:e1000g=)
 LINT_LIBS	= $(LINT_LIB) $(GEN_LINT_LIB) \
-		  $(LINT_KMODLIBS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
-		  $(CLOSED_LINT_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) 
-
-$(CLOSED_BUILD)LINT_LIBS	+= $(SVVS_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln)
-$(CLOSED_BUILD)LINT_CLOSED_XMOD4	= $(CLOSED_XMODS:bnx=)
-$(CLOSED_BUILD)LINT_CLOSED_XMOD3	= $(LINT_CLOSED_XMOD4:bnxe=)
-$(CLOSED_BUILD)LINT_CLOSED_XMOD2	= $(LINT_CLOSED_XMOD3:lsimega=)
-$(CLOSED_BUILD)LINT_CLOSED_XMOD1	= $(LINT_CLOSED_XMOD2:adpu320=)
-$(CLOSED_BUILD)LINT_LIBS	+= $(LINT_XMODLIBS:%=$(LINT_LIB_DIR)/llib-l%.ln)
+		  $(LINT_KMODLIBS:%=$(LINT_LIB_DIR)/llib-l%.ln)
 
 #
 # dprov is delivered in the SUNWcryptoint package.
@@ -70,11 +62,9 @@
 
 .KEEP_STATE:
 
-.PARALLEL:	$(PARALLEL_KMODS) $(CLOSED_KMODS) $(SVVS) $(XMODS) \
-		$(CLOSED_XMODS) config $(LINT_DEPS)
+.PARALLEL:	$(PARALLEL_KMODS) $(XMODS) config $(LINT_DEPS)
 
-def all install clean clobber modlist: $(KMODS) $(CLOSED_KMODS) \
-	$(SVVS) $(XMODS) $(CLOSED_XMODS) config
+def all install clean clobber modlist: $(KMODS) $(XMODS) config
 
 
 #
@@ -129,15 +119,11 @@
 
 genunix: $(PRIVS_C)
 
-modlintlib clean.lint: $(LINT_KMODS) $(CLOSED_LINT_KMODS) $(SVVS) \
-	$(XMODS) $(CLOSED_XMODS)
+modlintlib clean.lint: $(LINT_KMODS) $(XMODS)
 
 $(KMODS) $(SUBDIRS) config:	FRC
 	@cd $@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
 
-$(CLOSED_KMODS):	FRC
-	cd $(CLOSED)/uts/intel/$@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
-
 $(XMODS):	FRC
 	@if [ -f $@/Makefile  ]; then \
 		cd $@; pwd; $(MAKE) $(NO_STATE) $(TARGET); \
@@ -145,14 +131,6 @@
 		true; \
 	fi
 
-$(SVVS) $(CLOSED_XMODS):	FRC
-	@if [ -f $(CLOSED)/uts/intel/$@/Makefile  ]; then \
-		cd $(CLOSED)/uts/intel/$@; pwd; \
-		    $(MAKE) $(NO_STATE) $(TARGET); \
-	else \
-		true; \
-	fi
-
 install_h check:	FRC
 	@cd sys; pwd; $(MAKE) $(TARGET)
 	@cd asm; pwd; $(MAKE) $(TARGET)
--- old/usr/src/uts/intel/Makefile.files	2013-08-15 11:59:24.023617720 -0400
+++ new/usr/src/uts/intel/Makefile.files	2013-08-15 11:59:24.028154907 -0400
@@ -287,3 +287,24 @@
 	mcamd_dimmcfg.o \
 	mcamd_subr.o \
 	mcamd_pcicfg.o
+
+#
+# Intel Nehalem memory controller module
+#
+INTEL_NHM_OBJS += \
+	nhm_init.o \
+	mem_addr.o \
+	intel_nhmdrv.o \
+	nhm_pci_cfg.o \
+	dimm_topo.o \
+	intel_nhm.o
+
+#
+# Intel 5000/5100/5400/7300 chipset memory controller hub (MCH) module
+#
+INTEL_NB5000_OBJS += \
+	intel_nb5000.o \
+	intel_nbdrv.o \
+	dimm_addr.o \
+	nb_pci_cfg.o \
+	nb5000_init.o
--- old/usr/src/uts/intel/Makefile.intel.shared	2013-08-15 11:59:24.167434942 -0400
+++ new/usr/src/uts/intel/Makefile.intel.shared	2013-08-15 11:59:24.172067747 -0400
@@ -368,17 +368,6 @@
 DRV_KMODS	+= ii rdc rdcsrv rdcstub 
 DRV_KMODS	+= iptun
 
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= bmc
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= glm
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= intel_nhmex
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= cpqary3
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= marvell88sx
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= bcm_sata
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= memtest
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= mpt
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= atiatom
-$(CLOSED_BUILD)CLOSED_DRV_KMODS		+= acpi_toshiba
-
 #
 # Common code drivers
 #
@@ -403,7 +392,6 @@
 DRV_KMODS	+= iprb
 DRV_KMODS	+= ixgbe
 DRV_KMODS	+= vr
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= ixgb
 
 #
 # Virtio drivers
@@ -456,7 +444,6 @@
 DRV_KMODS	+= pcs
 DRV_KMODS	+= pcata
 MISC_KMODS	+= cardbus
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= pcser
 
 #
 #	SCSI Enclosure Services driver
@@ -490,8 +477,6 @@
 DRV_KMODS	+= wusb_ca
 DRV_KMODS	+= usbecm
 
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= usbser_edge
-
 #
 #	1394 modules
 #
@@ -654,11 +639,6 @@
 MISC_KMODS	+= uathfw
 MISC_KMODS	+= uwba
 
-$(CLOSED_BUILD)CLOSED_MISC_KMODS	+= klmmod klmops
-$(CLOSED_BUILD)CLOSED_MISC_KMODS	+= scsi_vhci_f_asym_lsi
-$(CLOSED_BUILD)CLOSED_MISC_KMODS	+= scsi_vhci_f_asym_emc
-$(CLOSED_BUILD)CLOSED_MISC_KMODS	+= scsi_vhci_f_sym_emc
-
 #
 #	Software Cryptographic Providers (/kernel/crypto):
 #
@@ -690,26 +670,8 @@
 GENUNIX_KMODS	+= genunix
 
 #
-#	SVVS Testing Modules (/kernel/strmod):
-#
-#	These are streams and driver modules which are not to be
-#	delivered with a released system. However, during development
-#	it is convenient to build and install the SVVS kernel modules.
-#
-SVVS_KMODS	+= lmodb lmode lmodr lmodt svvslo tidg tivc tmux
-
-$(CLOSED_BUILD)SVVS		+= svvs
-
-#
 #	Modules eXcluded from the product:
 #
-$(CLOSED_BUILD)CLOSED_XMODS =		\
-	adpu320		\
-	bnx		\
-	bnxe		\
-	lsimega		\
-	sdpib
-
 
 #
 #	'Dacf' Modules (/kernel/dacf):
--- old/usr/src/uts/intel/intel_nb5000/Makefile	2013-08-15 11:59:24.325385993 -0400
+++ new/usr/src/uts/intel/intel_nb5000/Makefile	2013-08-15 11:59:24.329952599 -0400
@@ -30,7 +30,6 @@
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE = ../..
-UTSCLOSED = ../../../../closed/uts
 
 #
 #       Define the module and object file sets.
@@ -46,20 +45,6 @@
 #
 include ../Makefile.intel
 
-#
-# The list of object files is defined here, rather than in Makefile.files,
-# because the "$(CLOSED_BUILD)" macro has not been defined at the time
-# Makefile.files is processed.
-#
-INTEL_NB5000_OBJS += \
-	intel_nb5000.o \
-	intel_nbdrv.o \
-	dimm_addr.o \
-	nb_pci_cfg.o \
-	nb5000_init.o
-
-$(CLOSED_BUILD)INTEL_NB5000_OBJS += memtrans.o
-
 OBJECTS		= $(INTEL_NB5000_OBJS:%=$(OBJS_DIR)/%)
 LINTS		= $(INTEL_NB5000_OBJS:%.o=$(LINTS_DIR)/%.ln)
 
@@ -105,4 +90,3 @@
 #       Include common targets.
 #
 include ../Makefile.targ
-$(CLOSED_BUILD)include $(UTSCLOSED)/intel/Makefile.rules
--- old/usr/src/uts/intel/intel_nhm/Makefile	2013-08-15 11:59:24.463938866 -0400
+++ new/usr/src/uts/intel/intel_nhm/Makefile	2013-08-15 11:59:24.468572357 -0400
@@ -29,7 +29,6 @@
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE = ../..
-UTSCLOSED = ../../../../closed/uts
 
 #
 #       Define the module and object file sets.
@@ -44,22 +43,6 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-#
-# The list of object files is defined here, rather than in Makefile.files,
-# because the "$(CLOSED_BUILD)" macro has not been defined at the time
-# Makefile.files is processed.
-#
-INTEL_NHM_OBJS += \
-	nhm_init.o \
-	mem_addr.o \
-	intel_nhmdrv.o \
-	nhm_pci_cfg.o \
-	dimm_topo.o \
-	intel_nhm.o
-
-$(CLOSED_BUILD)INTEL_NHM_OBJS += \
-	nhm_dimm_addr.o
-
 OBJECTS		= $(INTEL_NHM_OBJS:%=$(OBJS_DIR)/%)
 LINTS           = $(INTEL_NHM_OBJS:%.o=$(LINTS_DIR)/%.ln)
 
@@ -100,4 +83,3 @@
 #       Include common targets.
 #
 include ../Makefile.targ
-$(CLOSED_BUILD)include $(UTSCLOSED)/intel/Makefile.rules
--- old/usr/src/uts/intel/sd/Makefile	2013-08-15 11:59:24.603304491 -0400
+++ new/usr/src/uts/intel/sd/Makefile	2013-08-15 11:59:24.607975468 -0400
@@ -138,7 +138,6 @@
 CMLB_FILES = $(CMLB_OBJS:%.o=-l ../cmlb/%.ll)
 
 WARLOCK_TARGETS = warlock_alone
-$(CLOSED_BUILD)WARLOCK_TARGETS += warlock_with_mpt warlock_with_glm
 
 warlock: $(WARLOCK_TARGETS)
 
@@ -154,28 +153,6 @@
 %.ll: $(UTSBASE)/common/io/scsi/targets/%.c
 	$(WLCC) $(CPPFLAGS) -DDEBUG -o $@ $<
 
-warlock_with_glm: $(WLCMD_DIR)/sd_with_glm.wlcmd $(WARLOCK_OUT) scsi_files \
-	glm_files warlock_ddi.files cmlb_files
-	$(WARLOCK) -c $(WLCMD_DIR)/sd_with_glm.wlcmd \
-		$(WARLOCK_OUT) \
-		$(CLOSED)/uts/intel/glm/*.ll \
-		 $(SCSI_FILES) $(CMLB_FILES) \
-		-l ../warlock/ddi_dki_impl.ll
-
-warlock_with_mpt: $(WLCMD_DIR)/sd_with_mpt.wlcmd $(WARLOCK_OUT) scsi_files \
-	mpt_files warlock_ddi.files cmlb_files
-	$(WARLOCK) -c $(WLCMD_DIR)/sd_with_mpt.wlcmd \
-		$(WARLOCK_OUT) \
-		$(CLOSED)/uts/intel/mpt/*.ll \
-		$(SCSI_FILES) $(CMLB_FILES) \
-		-l ../warlock/ddi_dki_impl.ll
-
-glm_files:
-	@cd $(CLOSED)/uts/intel/glm; pwd; $(MAKE) warlock
-
-mpt_files:
-	@cd $(CLOSED)/uts/intel/mpt; pwd; $(MAKE) warlock
-
 cmlb_files:
 	@cd ../cmlb; pwd; $(MAKE) warlock
 
--- old/usr/src/uts/intel/ses/Makefile	2013-08-15 11:59:24.744853218 -0400
+++ new/usr/src/uts/intel/ses/Makefile	2013-08-15 11:59:24.749487464 -0400
@@ -117,7 +117,6 @@
 SCSI_FILES	= $(SCSI_OBJS:%.o=-l ../scsi/%.ll)
 
 WARLOCK_TARGETS	= $(WARLOCK_OK)
-$(CLOSED_BUILD)WARLOCK_TARGETS += warlock_with_glm
 
 warlock: $(WARLOCK_TARGETS)
 
@@ -135,19 +134,6 @@
 %.ll: $(UTSBASE)/common/io/scsi/targets/%.c
 	$(WLCC) $(CPPFLAGS) -o $@ $<
 
-warlock_with_glm: $(WLCMD_DIR)/ses_with_glm.wlcmd $(WARLOCK_OUT) glm_files
-	@cd ../warlock; $(MAKE) warlock
-	@cd ../scsi; $(MAKE) warlock
-	@cd $(CLOSED)/uts/intel/glm; $(MAKE) warlock;
-	$(WARLOCK) -c $(WLCMD_DIR)/ses_with_glm.wlcmd ses.ll \
-		$(CLOSED)/uts/intel/glm/*.ll \
-	        $(SCSI_FILES) \
-		../warlock/scsi.ll \
-		-l ../warlock/ddi_dki_impl.ll 
-
-glm_files:
-	@cd $(CLOSED)/uts/intel/glm; pwd; $(MAKE) warlock
-
 warlock_ddi.files:
 	@cd ../warlock; pwd; $(MAKE) warlock
 
--- old/usr/src/uts/intel/st/Makefile	2013-08-15 11:59:24.884976529 -0400
+++ new/usr/src/uts/intel/st/Makefile	2013-08-15 11:59:24.889839239 -0400
@@ -126,7 +126,6 @@
 SCSI_FILES = $(SCSI_OBJS:%.o=-l ../scsi/%.ll)
 
 WARLOCK_TARGETS = warlock_alone
-$(CLOSED_BUILD)WARLOCK_TARGETS += warlock_with_glm
 
 warlock: $(WARLOCK_TARGETS)
 
@@ -144,14 +143,6 @@
 %.ll: $(UTSBASE)/common/io/scsi/targets/%.c
 	$(WLCC) $(CPPFLAGS) -DDEBUG -o $@ $<
 
-warlock_with_glm: $(WLCMD_DIR)/st_with_glm.wlcmd $(WARLOCK_OUT) scsi_files \
-	glm_files warlock_ddi.files
-	$(WARLOCK) -c $(WLCMD_DIR)/st_with_glm.wlcmd \
-		$(WARLOCK_OUT) $(CLOSED)/uts/intel/glm/glm $(SCSI_FILES) \
-		-l ../warlock/ddi_dki_impl.ll
-glm_files:
-	@cd $(CLOSED)/uts/intel/glm; pwd; $(MAKE) warlock
-
 warlock_ddi.files:
 	@cd ../warlock; pwd; $(MAKE) warlock
 
--- old/usr/src/uts/intel/sys/Makefile	2013-08-15 11:59:25.025115838 -0400
+++ new/usr/src/uts/intel/sys/Makefile	2013-08-15 11:59:25.029801380 -0400
@@ -90,9 +90,6 @@
 	x86_archext.h		\
 	xen_errno.h
 
-CLOSEDHDRS = \
-	memtest.h
-
 ROOTDIR=	$(ROOT)/usr/include/sys
 SCSIDIR=	$(ROOTDIR)/scsi
 SCSIDIRS=	$(SCSIDIR) $(SCSIDIR)/conf $(SCSIDIR)/generic \
@@ -101,20 +98,14 @@
 ROOTDIRS=	$(ROOTDIR) $(ROOTFSDIR)
 
 ROOTHDRS= $(HDRS:%=$(ROOTDIR)/%)
-$(CLOSED_BUILD)ROOTHDRS += $(CLOSEDHDRS:%=$(ROOTDIR)/%)
 
 CHECKHDRS= 			\
 	$(HDRS:%.h=%.check)
 
-$(CLOSED_BUILD)CHECKHDRS += $(CLOSEDHDRS:%.h=$(CLOSED)/uts/intel/sys/%.check)
-
 # install rules
 $(ROOTDIR)/%: %
 	$(INS.file)
 
-$(ROOTDIR)/%:	$(CLOSED)/uts/intel/sys/%
-	$(INS.file)
-
 .KEEP_STATE:
 
 .PARALLEL: $(CHECKHDRS) $(ROOTHDRS)
--- old/usr/src/uts/intel/warlock/Makefile	2013-08-15 11:59:25.163836488 -0400
+++ new/usr/src/uts/intel/warlock/Makefile	2013-08-15 11:59:25.168512974 -0400
@@ -81,16 +81,11 @@
 	@cd ../usbsacm; $(MAKE) clean; $(MAKE) warlock
 	@cd ../usbecm; $(MAKE) clean; $(MAKE) warlock
 	@cd ../usbskel; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/intel/usbser_edge; \
-		$(MAKE) clean; $(MAKE) warlock
 
 warlock.scsi:
 	@cd ../sd; $(MAKE) clean; $(MAKE) warlock
 	@cd ../ses; $(MAKE) clean; $(MAKE) warlock
 	@cd ../st; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/intel/glm; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/intel/mpt; $(MAKE) clean; $(MAKE) warlock
-
 
 warlock.1394:
 	@cd ../s1394; $(MAKE) clean; $(MAKE) warlock
@@ -107,17 +102,12 @@
 	@cd ../ibtl; $(MAKE) clean; $(MAKE) warlock
 	@cd ../ibcm; $(MAKE) clean; $(MAKE) warlock
 	@cd ../ibd; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/intel/tavor; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/intel/hermon; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/intel/daplt; $(MAKE) clean; $(MAKE) warlock
 
 warlock.sata:
 	@cd ../sata; $(MAKE) clean; $(MAKE) warlock
 	@cd ../si3124; $(MAKE) clean; $(MAKE) warlock
 	@cd ../nv_sata; $(MAKE) clean; $(MAKE) warlock
 	@cd ../ahci; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/intel/marvell88sx; \
-		$(MAKE) clean; $(MAKE) warlock
 
 warlock.wc:
 	@cd ../wc; $(MAKE) clean; $(MAKE) warlock
--- old/usr/src/uts/sparc/Makefile	2013-08-15 11:59:25.302716562 -0400
+++ new/usr/src/uts/sparc/Makefile	2013-08-15 11:59:25.307267140 -0400
@@ -37,13 +37,8 @@
 LINT_KMODS_X2	= $(LINT_KMODS_X1:smbfs=)
 LINT_KMODLIBS	= $(LINT_KMODS_X2:e1000g=)
 LINT_LIBS	= $(LINT_LIB) $(GEN_LINT_LIB) \
-		  $(LINT_KMODLIBS:%=$(LINT_LIB_DIR)/llib-l%.ln)
-
-$(CLOSED_BUILD)LINT_LIBS += $(CLOSED_LINT_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln)
-
-$(CLOSED_BUILD)LINT_LIBS	+= $(SVVS_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln)
-LINT_LIBS	+= $(LINT_XMODLIBS:%=$(LINT_LIB_DIR)/llib-l%.ln)
-$(CLOSED_BUILD)LINT_LIBS += $(CLOSED_XMODS:%=$(LINT_LIB_DIR)/llib-l%.ln)
+		  $(LINT_KMODLIBS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
+		  $(LINT_XMODLIBS:%=$(LINT_LIB_DIR)/llib-l%.ln)
 
 DRV_KMODS	+= dprov
 
@@ -62,21 +57,15 @@
 
 .KEEP_STATE:
 
-.PARALLEL:	$(PARALLEL_KMODS) $(CLOSED_KMODS) $(SVVS) $(XMODS) \
-		$(CLOSED_XMODS) config $(LINT_DEPS)
+.PARALLEL:	$(PARALLEL_KMODS) $(XMODS) config $(LINT_DEPS)
 
-def all install clean clobber modlist: $(KMODS) $(CLOSED_KMODS) $(SVVS) \
-	$(XMODS) $(CLOSED_XMODS) config
+def all install clean clobber modlist: $(KMODS) $(XMODS) config
 
-modlintlib clean.lint: $(LINT_KMODS) $(CLOSED_LINT_KMODS) $(SVVS) \
-	$(XMODS) $(CLOSED_XMODS)
+modlintlib clean.lint: $(LINT_KMODS) $(XMODS)
 
 $(KMODS) config:	FRC
 	@cd $@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
 
-$(CLOSED_KMODS):	FRC
-	cd $(CLOSED)/uts/sparc/$@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
-
 $(XMODS):	FRC
 	@if [ -f $@/Makefile  ]; then \
 		cd $@; pwd; $(MAKE) $(NO_STATE) $(TARGET); \
@@ -84,14 +73,6 @@
 		true; \
 	fi
 
-$(SVVS) $(CLOSED_XMODS):	FRC
-	@if [ -f $(CLOSED)/uts/sparc/$@/Makefile  ]; then \
-		cd $(CLOSED)/uts/sparc/$@; pwd; \
-		    $(MAKE) $(NO_STATE) $(TARGET); \
-	else \
-		true; \
-	fi
-
 install_h check:	FRC
 	@cd asm; pwd; $(MAKE) $(TARGET)
 	@cd sys; pwd; $(MAKE) $(TARGET)
--- old/usr/src/uts/sparc/Makefile.sparc.shared	2013-08-15 11:59:25.441710758 -0400
+++ new/usr/src/uts/sparc/Makefile.sparc.shared	2013-08-15 11:59:25.446382828 -0400
@@ -235,12 +235,6 @@
 DRV_KMODS	+= bpf
 DRV_KMODS	+= dca
 
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= glm
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= isp
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= mpt
-$(CLOSED_BUILD)CLOSED_DRV_KMODS += qus
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= se
-
 #
 #       Hardware Drivers in common space
 #
@@ -266,7 +260,6 @@
 DRV_KMODS	+= ixgbe
 DRV_KMODS	+= vr
 DRV_KMODS	+= mr_sas
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= ixgb
 DRV_KMODS	+= yge
 
 #
@@ -323,10 +316,6 @@
 DRV_KMODS	+= pmcs
 DRV_KMODS	+= pmcs8001fw
 
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= ifp
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= uata
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= usbser_edge
-
 #
 #	I/O framework test drivers
 #
@@ -343,8 +332,6 @@
 DRV_KMODS	+= pcata
 DRV_KMODS	+= pcic
 
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= pcser
-
 # Add lvm
 #
 DRV_KMODS       += md
@@ -434,11 +421,6 @@
 MISC_KMODS	+= hwa1480_fw uwba
 MISC_KMODS	+= mii
 
-$(CLOSED_BUILD)CLOSED_MISC_KMODS	+= klmmod klmops
-$(CLOSED_BUILD)CLOSED_MISC_KMODS	+= scsi_vhci_f_asym_lsi
-$(CLOSED_BUILD)CLOSED_MISC_KMODS	+= scsi_vhci_f_asym_emc
-$(CLOSED_BUILD)CLOSED_MISC_KMODS	+= scsi_vhci_f_sym_emc
-
 #
 #	Software Cryptographic Providers (/kernel/crypto):
 #
@@ -477,15 +459,10 @@
 #
 SVVS_KMODS	+= lmodb lmode lmodr lmodt svvslo tidg tivc tmux
 
-$(CLOSED_BUILD)SVVS		+= svvs
-
 #
 #	Modules eXcluded from the product:
 #
 XMODS		+=
-$(CLOSED_BUILD)CLOSED_XMODS =		\
-	sdpib		\
-	wsdrv
 
 #
 #	'Dacf' Modules (/kernel/dacf):
--- old/usr/src/uts/sparc/sd/Makefile	2013-08-15 11:59:25.600221414 -0400
+++ new/usr/src/uts/sparc/sd/Makefile	2013-08-15 11:59:25.604774332 -0400
@@ -135,8 +135,6 @@
 CMLB_FILES = $(CMLB_OBJS:%.o=-l ../cmlb/%.ll)
 
 WARLOCK_TARGETS = warlock_alone warlock_with_esp warlock_with_fas
-$(CLOSED_BUILD)WARLOCK_TARGETS += warlock_with_isp warlock_with_glm \
-	warlock_with_uata warlock_with_mpt
 
 warlock: $(WARLOCK_TARGETS)
 
@@ -166,34 +164,6 @@
 		$(SCSI_FILES) $(CMLB_FILES) \
 		-l ../warlock/ddi_dki_impl.ll
 
-warlock_with_isp: $(WLCMD_DIR)/sd_with_isp.wlcmd $(WARLOCK_OUT) scsi_files \
-	isp_files warlock_ddi.files cmlb_files
-	$(WARLOCK) -c $(WLCMD_DIR)/sd_with_isp.wlcmd \
-		$(WARLOCK_OUT) $(CLOSED)/uts/sparc/isp/isp $(SCSI_FILES) \
-		$(CMLB_FILES) \
-		-l ../warlock/ddi_dki_impl.ll
-
-warlock_with_glm: $(WLCMD_DIR)/sd_with_glm.wlcmd $(WARLOCK_OUT) scsi_files \
-	glm_files warlock_ddi.files cmlb_files
-	$(WARLOCK) -c $(WLCMD_DIR)/sd_with_glm.wlcmd \
-		$(WARLOCK_OUT) $(CLOSED)/uts/sparc/glm/glm $(SCSI_FILES) \
-		$(CMLB_FILES) \
-		-l ../warlock/ddi_dki_impl.ll
-
-warlock_with_uata: $(WLCMD_DIR)/sd_with_uata.wlcmd $(WARLOCK_OUT) scsi_files \
-	uata_files warlock_ddi.files cmlb_files
-	$(WARLOCK) -c $(WLCMD_DIR)/sd_with_uata.wlcmd \
-		$(WARLOCK_OUT) $(CLOSED)/uts/sparc/uata/*.ll $(SCSI_FILES) \
-		$(CMLB_FILES) \
-		-l ../warlock/ddi_dki_impl.ll
-
-warlock_with_mpt: $(WLCMD_DIR)/sd_with_mpt.wlcmd $(WARLOCK_OUT) scsi_files \
-	mpt_files warlock_ddi.files cmlb_files
-	$(WARLOCK) -c $(WLCMD_DIR)/sd_with_mpt.wlcmd \
-		$(WARLOCK_OUT) $(CLOSED)/uts/sparc/mpt/*.ll $(SCSI_FILES)  \
-		$(CMLB_FILES) \
-		-l ../warlock/ddi_dki_impl.ll
-
 cmlb_files:
 	@cd ../cmlb; pwd; $(MAKE) warlock
 
@@ -207,17 +177,5 @@
 fas_files:
 	@cd ../fas; pwd; $(MAKE) warlock
 
-isp_files:
-	@cd $(CLOSED)/uts/sparc/isp; pwd; $(MAKE) warlock
-
-glm_files:
-	@cd $(CLOSED)/uts/sparc/glm; pwd; $(MAKE) warlock
-
-uata_files:
-	@cd $(CLOSED)/uts/sparc/uata; pwd; $(MAKE) warlock
-
-mpt_files:
-	@cd $(CLOSED)/uts/sparc/mpt; pwd; $(MAKE) warlock
-
 warlock_ddi.files:
 	@cd ../warlock; pwd; $(MAKE) warlock
--- old/usr/src/uts/sparc/ses/Makefile	2013-08-15 11:59:25.741824746 -0400
+++ new/usr/src/uts/sparc/ses/Makefile	2013-08-15 11:59:25.746533440 -0400
@@ -118,7 +118,6 @@
 SCSI_FILES	= $(SCSI_OBJS:%.o=-l ../scsi/%.ll)
 
 WARLOCK_TARGETS	= $(WARLOCK_OK) warlock_with_esp.ok warlock_with_fas.ok
-$(CLOSED_BUILD)WARLOCK_TARGETS += warlock_with_isp.ok warlock_with_glm.ok
 
 warlock: $(WARLOCK_TARGETS)
 
@@ -151,28 +150,6 @@
 	        $(SCSI_FILES)
 	@ $(TOUCH) $@
 
-warlock_with_isp.ok: $(WLCMD_DIR)/ses_with_isp.wlcmd $(SES_FILES)
-	@cd ../warlock; $(MAKE) warlock
-	@cd ../scsi; $(MAKE) warlock
-	@cd $(CLOSED)/uts/sparc/isp; $(MAKE) warlock;
-	$(WARLOCK) -c $(WLCMD_DIR)/ses_with_isp.wlcmd $(SES_FILES) \
-		$(CLOSED)/uts/sparc/isp/isp \
-	        ../warlock/scsi.ll \
-	        -l ../warlock/ddi_dki_impl.ll \
-	        $(SCSI_FILES)
-	@ $(TOUCH) $@
-
-warlock_with_glm.ok: $(WLCMD_DIR)/ses_with_glm.wlcmd $(SES_FILES)
-	@cd ../warlock; $(MAKE) warlock
-	@cd ../scsi; $(MAKE) warlock
-	@cd $(CLOSED)/uts/sparc/glm; $(MAKE) warlock;
-	$(WARLOCK) -c $(WLCMD_DIR)/ses_with_glm.wlcmd $(SES_FILES) \
-		$(CLOSED)/uts/sparc/glm/glm \
-	        ../warlock/scsi.ll \
-	        -l ../warlock/ddi_dki_impl.ll \
-	        $(SCSI_FILES)
-	@ $(TOUCH) $@
-
 %.ll: $(UTSBASE)/common/io/scsi/targets/%.c
 	$(WLCC) $(CPPFLAGS) -o $@ $<
 
--- old/usr/src/uts/sparc/st/Makefile	2013-08-15 11:59:25.886041780 -0400
+++ new/usr/src/uts/sparc/st/Makefile	2013-08-15 11:59:25.890693826 -0400
@@ -127,7 +127,6 @@
 SCSI_FILES = $(SCSI_OBJS:%.o=-l ../scsi/%.ll)
 
 WARLOCK_TARGETS =  warlock_alone warlock_with_esp warlock_with_fas
-$(CLOSED_BUILD)WARLOCK_TARGETS += warlock_with_isp warlock_with_glm
 
 warlock: $(WARLOCK_TARGETS)
 
@@ -147,18 +146,6 @@
 		$(SCSI_FILES)  \
 		-l ../warlock/ddi_dki_impl.ll
 
-warlock_with_isp: $(WLCMD_DIR)/st_with_isp.wlcmd $(WARLOCK_OUT) scsi_files \
-	isp_files warlock_ddi.files
-	$(WARLOCK) -c $(WLCMD_DIR)/st_with_isp.wlcmd \
-		$(WARLOCK_OUT) $(CLOSED)/uts/sparc/isp/isp $(SCSI_FILES)  \
-		-l ../warlock/ddi_dki_impl.ll
-
-warlock_with_glm: $(WLCMD_DIR)/st_with_glm.wlcmd $(WARLOCK_OUT) scsi_files \
-	glm_files warlock_ddi.files
-	$(WARLOCK) -c $(WLCMD_DIR)/st_with_glm.wlcmd \
-		$(WARLOCK_OUT) $(CLOSED)/uts/sparc/glm/glm $(SCSI_FILES) \
-		-l ../warlock/ddi_dki_impl.ll
-
 scsi_files:
 	@cd ../scsi; pwd; $(MAKE) warlock
 
@@ -168,12 +155,6 @@
 fas_files:
 	@cd ../fas; pwd; $(MAKE) warlock
 
-isp_files:
-	@cd $(CLOSED)/uts/sparc/isp; pwd; $(MAKE) warlock
-
-glm_files:
-	@cd $(CLOSED)/uts/sparc/glm; pwd; $(MAKE) warlock
-
 st.ok: $(WLCMD_DIR)/st.wlcmd st.ll st_conf.ll  scsi_files warlock_ddi.files
 	$(WARLOCK) -c $(WLCMD_DIR)/st.wlcmd $(WARLOCK_OUT) $(SCSI_FILES) \
 	-l ../warlock/ddi_dki_impl.ll
--- old/usr/src/uts/sparc/warlock/Makefile	2013-08-15 11:59:26.026507479 -0400
+++ new/usr/src/uts/sparc/warlock/Makefile	2013-08-15 11:59:26.031078182 -0400
@@ -81,8 +81,6 @@
 	@cd ../usbsacm; $(MAKE) clean; $(MAKE) warlock
 	@cd ../usbecm; $(MAKE) clean; $(MAKE) warlock
 	@cd ../usbskel; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/usbser_edge; \
-		$(MAKE) clean; $(MAKE) warlock
 
 warlock.scsi:
 	@cd ../dad; $(MAKE) clean; $(MAKE) warlock
@@ -93,11 +91,6 @@
 	@cd ../ses; $(MAKE) clean; $(MAKE) warlock
 	@cd ../st; $(MAKE) clean; $(MAKE) warlock
 	@cd ../ssd; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/uata; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/glm; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/mpt; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/ifp; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/isp; $(MAKE) clean; $(MAKE) warlock
 
 warlock.1394:
 	@cd ../s1394; $(MAKE) clean; $(MAKE) warlock
@@ -114,17 +107,12 @@
 	@cd ../ibtl; $(MAKE) clean; $(MAKE) warlock
 	@cd ../ibcm; $(MAKE) clean; $(MAKE) warlock
 	@cd ../ibd; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/tavor; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/hermon; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/daplt; $(MAKE) clean; $(MAKE) warlock
 
 warlock.sata:
 	@cd ../sata; $(MAKE) clean; $(MAKE) warlock
 	@cd ../si3124; $(MAKE) clean; $(MAKE) warlock
 	@cd ../ahci; $(MAKE) clean; $(MAKE) warlock
 	@cd ../nv_sata; $(MAKE) clean; $(MAKE) warlock
-$(CLOSED_BUILD)	@cd $(CLOSED)/uts/sparc/marvell88sx; \
-		$(MAKE) clean; $(MAKE) warlock
 
 warlock.wc:
 	@cd ../wc; $(MAKE) clean; $(MAKE) warlock
--- old/usr/src/uts/sun/sys/Makefile	2013-08-15 11:59:26.163863639 -0400
+++ new/usr/src/uts/sun/sys/Makefile	2013-08-15 11:59:26.168549510 -0400
@@ -43,12 +43,6 @@
 fascmd.h	fasdma.h \
 fasreg.h	fasvar.h	ifpio.h		sfvar.h
 
-CLOSED_SCSIAD = $(CLOSED)/uts/sun/sys/scsi/adapters
-
-CLOSED_SCSIADHDRS= \
-ifpcmd.h	ifpmail.h	ifpreg.h	ifpvar.h \
-ispcmd.h	ispmail.h	ispreg.h	ispvar.h
-
 SCSITARGHDRS= \
 
 ROOTDIR=	$(ROOT)/usr/include/sys
@@ -58,11 +52,8 @@
 		$(ROOTDIR)/scsi/targets
 
 ROOTHDRS= $(HDRS:%=$(ROOTDIR)/%)
-$(CLOSED_BUILD)ROOTHDRS += $(CLOSED_HDRS:%=$(ROOTDIR)/%)
 ROOTFCHDRS= $(FCHDRS:%=$(ROOTDIR)/fc4/%)
 ROOTSCSIADHDRS= $(SCSIADHDRS:%=$(ROOTDIR)/scsi/adapters/%)
-$(CLOSED_BUILD)ROOTSCSIADHDRS += \
-	$(CLOSED_SCSIADHDRS:%=$(ROOTDIR)/scsi/adapters/%)
 ROOTSCSITARGHDRS= $(SCSITARGHDRS:%=$(ROOTDIR)/scsi/targets/%)
 
 
@@ -70,18 +61,12 @@
 $(ROOTDIR)/%: %
 	$(INS.file)
 
-$(ROOTDIR)/%: $(CLOSED)/uts/sun/sys/%
-	$(INS.file)
-
 $(ROOTDIR)/audio/%: audio/%
 	$(INS.file)
 
 $(ROOTDIR)/scsi/adapters/%: scsi/adapters/%
 	$(INS.file)
 
-$(ROOTDIR)/scsi/adapters/%: $(CLOSED_SCSIAD)/%
-	$(INS.file)
-
 $(ROOTDIR)/scsi/targets/%: scsi/targets/%
 	$(INS.file)
 
@@ -102,10 +87,6 @@
 	$(SCSIADHDRS:%.h=scsi/adapters/%.check) \
 	$(SCSITARGHDRS:%.h=scsi/targets/%.check)
 
-$(CLOSED_BUILD)CHECKHDRS += \
-	$(CLOSED_HDRS:%.h=$(CLOSED)/uts/sun/sys/%.check) \
-	$(CLOSED_SCSIADHDRS:%.h=$(CLOSED_SCSIAD)/%.check)
-
 # headers which won't quite meet the standards...
 #
 # devops.h has a macro where the formal parameters to the macro are greater
--- old/usr/src/uts/sun4u/Makefile	2013-08-15 11:59:26.304285433 -0400
+++ new/usr/src/uts/sun4u/Makefile	2013-08-15 11:59:26.308868808 -0400
@@ -46,7 +46,6 @@
 #
 LINT_LIBS	 = $(LINT_LIB) \
 		   $(LINT_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
-		   $(CLOSED_LINT_KMODS:%=$(LINT_LIB_DIR)/llib-l%.ln) \
 		   $(SPARC_LINTS:%=$(SPARC_LIB_DIR)/llib-l%.ln)
 
 
@@ -71,8 +70,8 @@
 
 .KEEP_STATE:
 
-.PARALLEL:	$(PARALLEL_KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS) \
-		$(IMPLEMENTATIONS) $(CLOSED_IMPLEMENTATIONS) \
+.PARALLEL:	$(PARALLEL_KMODS) $(XMODS) \
+		$(IMPLEMENTATIONS) \
 		modlist modlist.sparc
 
 # Override for CPU_KMODS... they cannot be built
@@ -80,12 +79,12 @@
 .NO_PARALLEL:	$(CPU_KMODS)
 
 def all clean clobber clean.lint: genassym unix .WAIT \
-	$(KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS) \
-	$(IMPLEMENTATIONS) $(CLOSED_IMPLEMENTATIONS)
+	$(KMODS) $(XMODS) \
+	$(IMPLEMENTATIONS)
 
 # list the modules under sun4u.
-modlist: unix $(KMODS) $(CLOSED_KMODS) $(XMODS) $(CLOSED_XMODS) \
-	$(IMPLEMENTATIONS:.WAIT=) $(CLOSED_IMPLEMENTATIONS)
+modlist: unix $(KMODS) $(XMODS) \
+	$(IMPLEMENTATIONS:.WAIT=)
 
 # list the modules for Install -k sun4u.
 modlist.karch: modlist modlist.sparc
@@ -93,12 +92,12 @@
 modlist.sparc:
 	@cd $(SRC)/uts/sparc; pwd; $(MAKE) $(NO_STATE) modlist
 
-install: install_platforms genassym unix .WAIT $(KMODS) $(CLOSED_KMODS) \
-	$(XMODS) $(CLOSED_XMODS) $(IMPLEMENTATIONS) $(CLOSED_IMPLEMENTATIONS)
+install: install_platforms genassym unix .WAIT $(KMODS) \
+	$(XMODS) $(IMPLEMENTATIONS)
 
 lintlib:	unix
 
-modlintlib:	$(LINT_KMODS) $(CLOSED_LINT_KMODS)
+modlintlib:	$(LINT_KMODS)
 
 genassym unix $(KMODS):	FRC
 	@cd $@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
@@ -192,10 +191,6 @@
 $(IMPLEMENTATIONS):	FRC
 	@cd $@; pwd; THISIMPL=$@ $(MAKE) $(NO_STATE) $(TARGET)
 
-$(CLOSED_IMPLEMENTATIONS):	FRC
-	cd $(CLOSED)/uts/sun4u/$@; pwd; \
-	    THISIMPL=$@ $(MAKE) $(NO_STATE) $(TARGET); \
-
 $(XMODS):	FRC
 	@if [ -f $@/Makefile  ]; then \
 		cd $@; pwd; $(MAKE) $(NO_STATE) $(TARGET); \
@@ -203,18 +198,7 @@
 		true; \
 	fi
 
-$(CLOSED_XMODS):	FRC
-	@if [ -f $(CLOSED)/uts/sun4u/$@/Makefile ]; then \
-		cd $(CLOSED)/uts/sun4u/$@; pwd; $(MAKE) $(NO_STATE) $(TARGET); \
-	else \
-		true; \
-	fi
-
-$(CLOSED_KMODS):	FRC
-	cd $(CLOSED)/uts/sun4u/$@; pwd; $(MAKE) $(NO_STATE) $(TARGET)
-
 install_h check: install_platforms $(IMPLEMENTATIONS) \
-	$(CLOSED_IMPLEMENTATIONS) FRC
 	@cd sys; pwd; $(MAKE) $(TARGET)
 	@cd vm; pwd; $(MAKE) $(TARGET)
 
@@ -284,7 +268,7 @@
 	@-$(LINT) $(LINTFLAGS) $(LINT_LIBS) 2>&1 | $(LGREP.2)
 
 lint:	lintlib .WAIT modlintlib .WAIT $(SPARC_LINTS) $(LINT_DEPS) \
-	$(IMPLEMENTATIONS) $(CLOSED_IMPLEMENTATIONS) $(CPU_KMODS)
+	$(IMPLEMENTATIONS) $(CPU_KMODS)
 
 include ../Makefile.targ
 
@@ -292,11 +276,7 @@
 # Cross-reference customization: build a cross-reference over all of the
 # sun4u-related directories.
 #
-SHARED_XRDIRS	= ../sun4u ../sun4 ../sfmmu ../sparc ../sun ../common
-CLOSED_XRDIRS	= $(SHARED_XRDIRS:../%=../% ../../../closed/uts/%)
-XRDIRS		= $(SHARED_XRDIRS)
-$(CLOSED_BUILD)XRDIRS	= $(CLOSED_XRDIRS:../../../closed/uts/sfmmu=)
-
+XRDIRS	= ../sun4u ../sun4 ../sfmmu ../sparc ../sun ../common
 XRPRUNE = i86pc
 
 cscope.out tags: FRC
--- old/usr/src/uts/sun4u/Makefile.sun4u.shared	2013-08-15 11:59:26.449518624 -0400
+++ new/usr/src/uts/sun4u/Makefile.sun4u.shared	2013-08-15 11:59:26.454273852 -0400
@@ -155,7 +155,7 @@
 #
 include $(UTSBASE)/Makefile.uts
 
-# These come after Makefile.uts (for CLOSED_BUILD).
+# These come after Makefile.uts.
 IMPLEMENTATIONS		 = tazmo 
 IMPLEMENTATIONS		+= starfire 
 IMPLEMENTATIONS		+= javelin 
@@ -185,9 +185,6 @@
 IMPLEMENTATIONS		+= opl 
 IMPLEMENTATIONS		+= lw2plus 
 
-$(CLOSED_BUILD)CLOSED_IMPLEMENTATIONS	= chalupa 
-$(CLOSED_BUILD)CLOSED_IMPLEMENTATIONS	+= ents 
-
 #
 #	machine specific optimization, override default in Makefile.master
 #
@@ -397,12 +394,6 @@
 DRV_KMODS	+= i2bsc 
 DRV_KMODS	+= mem_cache
 
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= ctsmc
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= m1535ppm
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= memtest
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= mi2cv
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= smbus_ara
-
 #
 #	Exec Class Modules (/kernel/exec):
 #
@@ -459,7 +450,6 @@
 
 #	'User' "Modules" excluded from the Full Kernel lint target:
 #
-$(CLOSED_BUILD)CLOSED_NLMISC_KMODS	+= forthdebug
 
 #
 #	Modules eXcluded from the product:
@@ -478,8 +468,6 @@
 TOD_KMODS	+= todm5819 todblade todbq4802 todsg todopl
 TOD_KMODS	+= todm5819p_rmc todstarcat 
 
-$(CLOSED_BUILD)CLOSED_TOD_KMODS	+= todm5823
-
 #
 #	Performance Counter BackEnd Modules (/usr/kernel/pcbe):
 #
--- old/usr/src/uts/sun4u/blade/Makefile.blade.shared	2013-08-15 11:59:26.599732846 -0400
+++ new/usr/src/uts/sun4u/blade/Makefile.blade.shared	2013-08-15 11:59:26.604316090 -0400
@@ -19,8 +19,6 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -86,7 +84,7 @@
 include $(UTSTREE)/sun4u/Makefile.sun4u
 
 #
-#	Define modules (must come after Makefile.sun4u, for CLOSED_BUILD).
+#	Define modules (must come after Makefile.sun4u).
 #
 BLADE_KMODS		= platmod
 BLADE_KMODS		+= bscbus
--- old/usr/src/uts/sun4u/grover/Makefile.grover.shared	2013-08-15 11:59:26.739177350 -0400
+++ new/usr/src/uts/sun4u/grover/Makefile.grover.shared	2013-08-15 11:59:26.743856844 -0400
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 #	Global definitions for sun4u implementation specific modules.
 #
 
@@ -68,13 +66,11 @@
 include $(UTSTREE)/sun4u/Makefile.sun4u
 
 #
-#	Define modules (must come after Makefile.sun4u, for CLOSED_BUILD).
+#	Define modules (must come after Makefile.sun4u).
 #
 GROVER_KMODS	= platmod
 GROVER_KMODS	+= grfans
 
-$(CLOSED_BUILD)CLOSED_GROVER_KMODS	+= grppm
-
 #
 # For now, disable these lint checks; maintainers should endeavor
 # to investigate and remove these for maximum lint coverage.
--- old/usr/src/uts/sun4u/javelin/Makefile.javelin.shared	2013-08-15 11:59:26.877370338 -0400
+++ new/usr/src/uts/sun4u/javelin/Makefile.javelin.shared	2013-08-15 11:59:26.881913800 -0400
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 #	This makefile contains the common definitions for the
 #	sun4u Javelin system dependent modules.
 #
@@ -71,7 +69,7 @@
 include $(UTSTREE)/sun4u/Makefile.sun4u
 
 #
-# Define modules (must come after Makefile.sun4u, for CLOSED_BUILD)
+# Define modules (must come after Makefile.sun4u)
 #
 JAVELIN_KMODS	= platmod
 JAVELIN_KMODS	+= envctrltwo
--- old/usr/src/uts/sun4u/mpxu/Makefile.mpxu.shared	2013-08-15 11:59:27.014726091 -0400
+++ new/usr/src/uts/sun4u/mpxu/Makefile.mpxu.shared	2013-08-15 11:59:27.019312022 -0400
@@ -83,10 +83,9 @@
 include $(UTSTREE)/sun4u/Makefile.sun4u
 
 #
-#	Define modules (must come after Makefile.sun4u, for CLOSED_BUILD).
+#	Define modules (must come after Makefile.sun4u).
 #
 MPXU_KMODS	= tsalarm
-$(CLOSED_BUILD)CLOSED_MPXU_KMODS	= platmod ntwdt
 
 MODSTUBS_DIR	= $(UNIX_DIR)
 LINTS_DIR	= $(OBJS_DIR)
--- old/usr/src/uts/sun4u/opl/Makefile.opl.shared	2013-08-15 11:59:27.151973015 -0400
+++ new/usr/src/uts/sun4u/opl/Makefile.opl.shared	2013-08-15 11:59:27.156501980 -0400
@@ -105,11 +105,6 @@
 include $(UTSTREE)/sun4u/Makefile.sun4u
 
 #
-#	Define closed modules (must come after Makefile.sun4u for CLOSED_BUILD).
-#
-$(CLOSED_BUILD)CLOSED_OPL_KMODS = scfd
-
-#
 #	Everybody needs to know how to build modstubs.o and to locate unix.o
 #
 UNIX_DIR	= $(UTSBASE)/$(PLATFORM)/opl/unix
--- old/usr/src/uts/sun4u/sunfire/Makefile.sunfire.shared	2013-08-15 11:59:27.293450831 -0400
+++ new/usr/src/uts/sun4u/sunfire/Makefile.sunfire.shared	2013-08-15 11:59:27.298675416 -0400
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 #	Global definitions for sun4u implementation specific modules.
 #
 
@@ -68,10 +66,9 @@
 include $(UTSTREE)/sun4u/Makefile.sun4u
 
 #
-#	Define modules (must come after Makefile.sun4u for CLOSED_BUILD).
+#	Define modules (must come after Makefile.sun4u).
 #
 SUNFIRE_KMODS			= ac central environ fhc simmstat sysctrl sram
-$(CLOSED_BUILD)CLOSED_SUNFIRE_KMODS	= platmod
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sun4u/sys/Makefile	2013-08-15 11:59:27.432070443 -0400
+++ new/usr/src/uts/sun4u/sys/Makefile	2013-08-15 11:59:27.436776631 -0400
@@ -65,9 +65,6 @@
 	xc_impl.h		\
 	zsmach.h
 
-$(CLOSED_BUILD)CLOSED_SUN4_HDRS=	\
-	memtestio.h
-
 HDRS=	\
 	cheetahregs.h		\
 	cpr_impl.h		\
@@ -99,20 +96,9 @@
 	todmostek.h		\
 	traptrace.h
 
-$(CLOSED_BUILD)CLOSED_HDRS=	\
-	memtestio_ch.h		\
-	memtestio_chp.h		\
-	memtestio_ja.h		\
-	memtestio_jg.h		\
-	memtestio_oc.h		\
-	memtestio_pn.h		\
-	memtestio_sf.h		\
-	memtestio_sr.h		\
-	memtestio_u.h
-
 I2CHDRS =	clients/max1617.h misc/i2c_svc.h clients/i2c_client.h	\
 		clients/hpc3130.h clients/lm75.h	\
-		clients/pcf8591.h clients/ssc050.h $(CLOSED_I2CHDRS)
+		clients/pcf8591.h clients/ssc050.h
 
 I2C_DIRS=	clients misc
 USR_PSM_ISYS_I2C_ROOT=	$(USR_PSM_ISYS_DIR)/i2c
@@ -127,10 +113,8 @@
 USR_PSM_MON_DIR=	$(USR_PSM_ISYS_DIR)/mon
 
 ROOTHDRS=		$(HDRS:%=$(USR_PSM_ISYS_DIR)/%)
-$(CLOSED_BUILD)ROOTHDRS += $(CLOSED_HDRS:%=$(USR_PSM_ISYS_DIR)/%)
 
 SUN4_ROOTHDRS=		$(SUN4_HDRS:%=$(USR_PSM_ISYS_DIR)/%)
-$(CLOSED_BUILD)SUN4_ROOTHDRS += $(CLOSED_SUN4_HDRS:%=$(USR_PSM_ISYS_DIR)/%)
 
 ROOTMONHDRS=		$(MONHDRS:%=$(USR_PSM_MON_DIR)/%)
 
@@ -144,10 +128,6 @@
 			$(MONHDRS:%.h=mon/%.check) \
 			$(SUN4_HDRS:%.h=%.cmncheck)
 
-$(CLOSED_BUILD)CHECKHDRS += $(CLOSED_HDRS:%.h=$(CLOSED)/uts/sun4u/sys/%.check)
-$(CLOSED_BUILD)CHECKHDRS += \
-		$(CLOSED_I2CHDRS:%.h=$(CLOSED)/uts/sun4u/sys/i2c/%.check)
-
 .KEEP_STATE:
 
 .PARALLEL: $(CHECKHDRS) $(ROOTHDRS) $(ROOTMONHDRS) $(SUN4_ROOTHDRS)
@@ -168,12 +148,6 @@
 $(USR_PSM_ISYS_I2C_DIRS):
 	$(INS.dir)
 
-$(USR_PSM_ISYS_DIR)/%:	$(CLOSED)/uts/sun4u/sys/% $(USR_PSM_ISYS_DIR)
-	$(INS.file)
-
-$(USR_PSM_ISYS_DIR)/%:	$(CLOSED)/uts/sun4/sys/% $(USR_PSM_ISYS_DIR)
-	$(INS.file)
-
 $(USR_PSM_ISYS_DIR)/%:	../../sfmmu/sys/% $(USR_PSM_ISYS_DIR)
 	$(INS.file)
 
--- old/usr/src/uts/sun4u/tazmo/Makefile.tazmo.shared	2013-08-15 11:59:27.574653355 -0400
+++ new/usr/src/uts/sun4u/tazmo/Makefile.tazmo.shared	2013-08-15 11:59:27.579318232 -0400
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 #	Global definitions for sun4u implementation specific modules.
 #
 
@@ -72,7 +70,7 @@
 include $(UTSTREE)/sun4u/Makefile.sun4u
 
 #
-#	Define modules (must come after Makefile.sun4u, for CLOSED_BUILD).
+#	Define modules (must come after Makefile.sun4u).
 #
 TAZMO_KMODS	= platmod
 TAZMO_KMODS	+= envctrl
--- old/usr/src/uts/sun4v/Makefile	2013-08-15 11:59:27.712927657 -0400
+++ new/usr/src/uts/sun4v/Makefile	2013-08-15 11:59:27.717639837 -0400
@@ -300,11 +300,7 @@
 # Cross-reference customization: build a cross-reference over all of the
 # sun4v-related directories.
 #
-SHARED_XRDIRS	= ../sun4v ../sun4 ../sfmmu ../sparc ../sun ../common
-CLOSED_XRDIRS	= $(SHARED_XRDIRS:../%=../% ../../../closed/uts/%)
-XRDIRS		= $(SHARED_XRDIRS)
-$(CLOSED_BUILD)XRDIRS	= $(CLOSED_XRDIRS:../../../closed/uts/sfmmu=)
-
+XRDIRS	= ../sun4v ../sun4 ../sfmmu ../sparc ../sun ../common
 XRPRUNE = i86pc sun4u intel
 
 cscope.out tags: FRC
--- old/usr/src/uts/sun4v/Makefile.sun4v.shared	2013-08-15 11:59:27.858360745 -0400
+++ new/usr/src/uts/sun4v/Makefile.sun4v.shared	2013-08-15 11:59:27.862945452 -0400
@@ -357,11 +357,6 @@
 DRV_KMODS	+= vnex
 DRV_KMODS	+= vsw
 
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= bmc
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= memtest
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= ncp
-$(CLOSED_BUILD)CLOSED_DRV_KMODS	+= n2cp
-
 #
 #	Exec Class Modules (/kernel/exec):
 #
@@ -422,10 +417,6 @@
 #
 GENUNIX_KMODS	+= genunix
 
-#	'User' "Modules" excluded from the Full Kernel lint target:
-#
-$(CLOSED_BUILD)CLOSED_NLMISC_KMODS	+= forthdebug
-
 #
 #	Modules eXcluded from the product:
 #
--- old/usr/src/uts/sun4v/sys/Makefile	2013-08-15 11:59:28.007702563 -0400
+++ new/usr/src/uts/sun4v/sys/Makefile	2013-08-15 11:59:28.012475979 -0400
@@ -65,9 +65,6 @@
 	xc_impl.h		\
 	zsmach.h
 
-CLOSED_SUN4_HDRS=			\
-	memtestio.h
-
 HDRS=	\
 	ds_pri.h		\
 	ds_snmp.h		\
@@ -92,18 +89,9 @@
 	traptrace.h		\
 	vlds.h
 
-CLOSED_HDRS=	\
-	memtestio_kt.h		\
-	memtestio_ni.h		\
-	memtestio_n2.h		\
-	memtestio_v.h		\
-	memtestio_vf.h
-
 ROOTHDRS=		$(HDRS:%=$(USR_PSM_ISYS_DIR)/%)
-$(CLOSED_BUILD)ROOTHDRS += $(CLOSED_HDRS:%=$(USR_PSM_ISYS_DIR)/%)
 
 SUN4_ROOTHDRS=		$(SUN4_HDRS:%=$(USR_PSM_ISYS_DIR)/%)
-$(CLOSED_BUILD)SUN4_ROOTHDRS += $(CLOSED_SUN4_HDRS:%=$(USR_PSM_ISYS_DIR)/%)
 
 ROOTDIR=		$(ROOT)/usr/share/src
 ROOTDIRS=		$(ROOTDIR)/uts $(ROOTDIR)/uts/$(PLATFORM)
@@ -114,10 +102,6 @@
 CHECKHDRS=		$(HDRS:%.h=%.check) \
 			$(SUN4_HDRS:%.h=%.cmncheck)
 
-$(CLOSED_BUILD)CHECKHDRS +=			\
-	$(CLOSED_HDRS:%.h=%.check)		\
-	$(CLOSED_SUN4_HDRS:%.h=%.cmncheck)
-
 .KEEP_STATE:
 
 .PARALLEL: $(CHECKHDRS) $(ROOTHDRS) $(SUN4_ROOTHDRS)
@@ -137,12 +121,6 @@
 $(USR_PSM_ISYS_DIR)/%:	../../sun4/sys/% $(USR_PSM_ISYS_DIR)
 	$(INS.file)
 
-$(USR_PSM_ISYS_DIR)/%:	$(CLOSED)/uts/sun4/sys/% $(USR_PSM_ISYS_DIR)
-	$(INS.file)
-
-$(USR_PSM_ISYS_DIR)/%:	$(CLOSED)/uts/sun4v/sys/% $(USR_PSM_ISYS_DIR)
-	$(INS.file)
-
 $(ROOTDIRS):
 	$(INS.dir)
 
@@ -155,12 +133,8 @@
 
 %.check:	../../sfmmu/sys/%.h
 	$(DOT_H_CHECK)
-%.check:	$(CLOSED)/uts/sun4v/sys/%.h
-	$(DOT_H_CHECK)
 %.cmncheck:	../../sun4/sys/%.h
 	$(DOT_H_CHECK)
-%.cmncheck:	$(CLOSED)/uts/sun4/sys/%.h
-	$(DOT_H_CHECK)
 
 FRC:
 
